> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justpaid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Invoice Payment List Api



## OpenAPI

````yaml get /api/v1/payment/invoice_payment
openapi: 3.1.0
info:
  title: NinjaAPI
  version: 1.0.0
  description: ''
servers:
  - url: https://api.justpaid.io
security: []
paths:
  /api/v1/payment/invoice_payment:
    get:
      summary: Invoice Payment List Api
      operationId: loopfour_backend_payment_api_external_invoice_payment_list_api
      parameters:
        - in: query
          name: limit
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
          required: false
        - in: query
          name: offset
          schema:
            default: 0
            minimum: 0
            title: Offset
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedInvoicePaymentOut'
      security:
        - HttpBearerAuth: []
components:
  schemas:
    PagedInvoicePaymentOut:
      properties:
        items:
          items:
            $ref: '#/components/schemas/InvoicePaymentOut'
          title: Items
          type: array
        count:
          title: Count
          type: integer
      required:
        - items
        - count
      title: PagedInvoicePaymentOut
      type: object
    InvoicePaymentOut:
      properties:
        invoice:
          $ref: '#/components/schemas/InvoiceOut'
        customer_uuid:
          description: The JustPaid customer UUID
          format: uuid
          title: Customer Uuid
          type: string
        payment_status:
          help_text: >-
            The choices are: Scheduled, Processed, Sent, Need Action, Completed,
            Failed, Cancelled, Voided
          title: Payment Status
          type: string
        uuid:
          format: uuid
          title: Uuid
          type: string
        total_amount:
          description: Total amount of the payment
          title: Total Amount
          type: number
        reference_number:
          anyOf:
            - maxLength: 50
              type: string
            - type: 'null'
          description: Reference number for the payment
          title: Reference Number
        payment_scheduled_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Date and time on which the payment is scheduled to be made
          title: Payment Scheduled Date
        payment_completed_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Date and time on which the payment is completed
          title: Payment Completed Date
      required:
        - invoice
        - total_amount
      title: InvoicePaymentOut
      type: object
    InvoiceOut:
      properties:
        line_items:
          items:
            $ref: '#/components/schemas/InvoiceLineItemOut'
          title: Line Items
          type: array
        uuid:
          format: uuid
          title: Uuid
          type: string
        amount:
          description: The total amount due for the invoice
          title: Amount
          type: number
        currency:
          anyOf:
            - maxLength: 3
              type: string
            - type: 'null'
          default: USD
          title: Currency
        invoice_number:
          description: The invoice number
          maxLength: 100
          title: Invoice Number
          type: string
        invoice_date:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          description: The date the invoice was created
          title: Invoice Date
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: The description of the invoice
          title: Description
      required:
        - amount
        - invoice_number
      title: InvoiceOut
      type: object
    InvoiceLineItemOut:
      properties:
        name:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          title: Name
        unit_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Unit Price
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          default: 1
          title: Quantity
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        currency:
          anyOf:
            - maxLength: 3
              type: string
            - type: 'null'
          default: USD
          title: Currency
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: The description of the line item
          title: Description
        flat_fee:
          anyOf:
            - type: number
            - type: 'null'
          description: Fixed flat fee added to the line item amount
          title: Flat Fee
      title: InvoiceLineItemOut
      type: object
  securitySchemes:
    HttpBearerAuth:
      type: http
      scheme: bearer

````